import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { GetEventRuleRequest, GetEventRuleResponse } from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetEventRuleCommandInput extends GetEventRuleRequest {}
export interface GetEventRuleCommandOutput
  extends GetEventRuleResponse,
    __MetadataBearer {}
declare const GetEventRuleCommand_base: {
  new (
    input: GetEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetEventRuleCommandInput,
    GetEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetEventRuleCommandInput,
    GetEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetEventRuleCommand extends GetEventRuleCommand_base {
  protected static __types: {
    api: {
      input: GetEventRuleRequest;
      output: GetEventRuleResponse;
    };
    sdk: {
      input: GetEventRuleCommandInput;
      output: GetEventRuleCommandOutput;
    };
  };
}
