import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  UpdateNotificationConfigurationRequest,
  UpdateNotificationConfigurationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface UpdateNotificationConfigurationCommandInput
  extends UpdateNotificationConfigurationRequest {}
export interface UpdateNotificationConfigurationCommandOutput
  extends UpdateNotificationConfigurationResponse,
    __MetadataBearer {}
declare const UpdateNotificationConfigurationCommand_base: {
  new (
    input: UpdateNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateNotificationConfigurationCommandInput,
    UpdateNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateNotificationConfigurationCommandInput,
    UpdateNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateNotificationConfigurationCommand extends UpdateNotificationConfigurationCommand_base {
  protected static __types: {
    api: {
      input: UpdateNotificationConfigurationRequest;
      output: UpdateNotificationConfigurationResponse;
    };
    sdk: {
      input: UpdateNotificationConfigurationCommandInput;
      output: UpdateNotificationConfigurationCommandOutput;
    };
  };
}
